QCustomEvent(3qt)

NAME
QCustomEvent - Support for custom events

SYNOPSIS

#include <qevent.h>

Inherits QEvent.

  Public Members
QCustomEvent ( int type, void * data )
void* data () const

DESCRIPTION
The QCustomEvent class provides support for custom events.

QCustomEvent is a user-defined event type which contains a void*.

Warning: This event class is internally used to implement Qt enhancements. It is not advisable to use QCustomEvent in normal applications, where other event types and the signal/slot mechanism can do the job.

MEMBER FUNCTION DOCUMENTATION

QCustomEvent::QCustomEvent ( int type, void * data )
Constructs a custom event object with the event type type and a pointer to data.

void * QCustomEvent::data () const
Returns a pointer to the event data (specified in the constructor).

The event data can be anything and must be casted to something useful based on the event type. Again, it is not recommended to use custom events unless you are implementing Qt kernel enhancements.

SEE ALSO
http://www.troll.no/qt/qcustomevent.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.